{% extends 'base.html' %}
{% block title %}
    ListOfAssociations
{% endblock %}

{% block content %}
    <table class="table">

        <thead>
            <tr>
                <th style=" width: 10%">Numar</th>
                <th style=" width: 10%">Etaj</th>
                <th style=" width: 10%">Proprietar</th>
                <th style=" width: 10%">Bloc</th>
                <th style=" width: 10%">Asociatie</th>
                <th style=" width: 5%">Contor</th>
                <th style=" width: 10%">Chieltuieli</th>
                <th style=" width: 40%">Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for apartment in all_apartments %}
            {% if apartment.block.id == pk %}
            <tr>
                <td>{{apartment.apartment_number}}</td>
                <td>{{apartment.floor }}</td>
                <td>{{apartment.owner}}</td>
                <td>{{apartment.block}}</td>
                <td>{{apartment.block.association}}</td>
                <td>
                    <a href="{% url 'counters_list' apartment.id %}" class="btn btn-success">Counters</a>
                </td>
                <td><a href="{% url 'add_cost' %}?id={{ apartment.id }}" class="btn btn-success">Adauga Chieltuieli</a></td>
                <td>
                    <a href="{% url 'edit_apartment' apartment.id %}" class="btn btn-primary">Edit</a>
                    <a href="{% url 'apartment_details' apartment.id %}" class="btn btn-primary">Details</a>
                    <a href="{% url 'delete_apartment' apartment.id %}" class="btn btn-danger">Delete</a>
                </td>
            </tr>
            {% endif %}
        {% endfor %}
        </tbody>
    </table>
    <a href="{% url 'add_apartment' %}?id={{ pk }}" class="btn btn-success">Adauga</a>
{% endblock %}